dummyhandler.hh File Reference
`#include <mia/core/ioplugin.hh>`
Include dependency graph for dummyhandler.hh:

Go to the source code of this file.

## Data Structures

class | CDummyIOPluginHandler
class | CDummyType
class | CTestIOPlugin
struct | test_io_data

## Typedefs

typedef THandlerSingleton< CDummyIOPluginHandler > | CTestIOPluginHandler
| Test IO plugin handler, don't use this in real code.

## Variables

template class EXPORT_CORE | THandlerSingleton< TIOPluginHandler< CTestIOPlugin > >
template class EXPORT_CORE | TIOPlugin< test_io_data >
template class EXPORT_CORE | TIOPluginHandler< CTestIOPlugin >
template class EXPORT_CORE | TPlugin< test_io_data, io_plugin_type >

## Typedef Documentation

## CTestIOPluginHandler

typedef THandlerSingleton<CDummyIOPluginHandler> CTestIOPluginHandler

Test IO plugin handler, don't use this in real code.

Definition at line 66 of file dummyhandler.hh.

## Variable Documentation

## THandlerSingleton< TIOPluginHandler< CTestIOPlugin > >

template class EXPORT_CORE THandlerSingleton< TIOPluginHandler< CTestIOPlugin > >

extern

## TIOPlugin< test_io_data >

template class EXPORT_CORE TIOPlugin< test_io_data >

extern

## TIOPluginHandler< CTestIOPlugin >

template class EXPORT_CORE TIOPluginHandler< CTestIOPlugin >

extern

## TPlugin< test_io_data, io_plugin_type >

template class EXPORT_CORE TPlugin< test_io_data, io_plugin_type >

extern